








SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;











CREATE TABLE `orders` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `client_id` int DEFAULT NULL,
  `order_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `order_address` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `order_shipping_note` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `user_store_id` int DEFAULT '0',
  `user_store_name` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `user_store_url` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `user_store_image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `country_id` int DEFAULT NULL,
  `city_id` int DEFAULT NULL,
  `sup_total_price` float DEFAULT '0',
  `delivery_price` float DEFAULT '0',
  `system_order_commission` float DEFAULT '0' COMMENT 'ثابت عمولة الادارة من كل طلب',
  `total_price` float DEFAULT '0',
  `total_quantity` int DEFAULT '0',
  `total_commision` int DEFAULT '0' COMMENT 'اجمالي عمولة المسوق الربح الخاص دون حذف عمولة الادراة',
  `total_system_product_commissions` float DEFAULT '0' COMMENT 'اجمالي عمولة الادارة على المنتجات الخاصة بالطلب',
  `status` enum('pending','waiting_confirm','confirmed','client_not_responce','under_prepare','ready_to_delivered','in_delivered','delivered','refunded','canceled') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'pending',
  `is_paid` enum('paid','unPaid') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'unPaid',
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='تم الايقاف ';







CREATE TABLE `order_products` (
  `id` int NOT NULL,
  `order_id` int DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `product_store_id` int DEFAULT NULL,
  `quantity` int DEFAULT NULL,
  `product_price` float DEFAULT '0',
  `product_price_multi` float DEFAULT '0',
  `merchant_supply` float DEFAULT NULL COMMENT 'توريد تاجر للمنتج الواحد',
  `merchant_id` float DEFAULT NULL COMMENT 'التاجر',
  `system_commission` float DEFAULT NULL COMMENT 'عمولة الادارة على المنتج من توريد التاجر',
  `system_product_commission` float DEFAULT '0' COMMENT 'عمولة الادارة الخاصة بالمنتجات متعلقة بقسم المنتج',
  `commission_price` float DEFAULT '0' COMMENT 'عمولة المسوق',
  `last_item_price` float DEFAULT '0' COMMENT 'السعر مضاف اليه الكوميشن  والخصم او الزيادة',
  `last_total_price` float DEFAULT '0' COMMENT 'الاجمالي النهائي'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='تم الايقاف ';







CREATE TABLE `order_tickets` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `order_id` int DEFAULT NULL,
  `title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `message` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `ticket_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `related_to` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'تم الحذف',
  `ticket_type` enum('edit_on_price','replacement','return_price','late_on_delivery','order_commission','product_defect','delivery_different_product','problem_with_price','problem_with_payment_methods','problem_with_angizne','other') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'other',
  `status` enum('pending','finished','hanging') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'pending',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `order_ticket_comments` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `order_ticket_id` int DEFAULT NULL,
  `message` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `other_invoices` (
  `id` int NOT NULL,
  `merchant_id` int DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `invoice_type` enum('mortal-invoice','merchant-return-invoice','merchant-supply-invoice','inventory-invoice','settlement-invoice') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `count_invoice_type` int DEFAULT '1',
  `total_quantity` int DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='فواتير الهالك';







CREATE TABLE `other_invoice_items` (
  `id` int NOT NULL,
  `invoice_id` int DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `product_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_type_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `quantity` int DEFAULT NULL,
  `store_id` int DEFAULT NULL,
  `store_title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `unit_title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `pages` (
  `id` int NOT NULL,
  `image` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `sort` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `page_langs` (
  `id` int NOT NULL,
  `page_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `pay_methods` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `type` enum('bank_account','mobile_payment') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `account_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `bank_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `branch_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `mobile_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `provider_type` enum('vodafon_cash','orange_money','etisalat_flous') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `places` (
  `id` int NOT NULL,
  `admin_id` int DEFAULT NULL COMMENT 'Added By',
  `country_id` int DEFAULT NULL,
  `country_code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `place_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `delivery_price` float DEFAULT '0' COMMENT 'للمدن فقط',
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `place_langs` (
  `id` int NOT NULL,
  `place_id` int DEFAULT NULL,
  `lang_code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `pla_name` varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `products` (
  `id` int NOT NULL,
  `trademark_id` int DEFAULT NULL,
  `attachment_id` int DEFAULT NULL,
  `count_trademark_product` int DEFAULT '0',
  `product_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_barcode` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_weight` float(20,2) DEFAULT '0.00',
  `merchant_id` int DEFAULT '0',
  `unit_id` int DEFAULT NULL,
  `price` float DEFAULT '0',
  `commission` float DEFAULT '0' COMMENT 'عمولة المسوق',
  `system_commission` float DEFAULT '0' COMMENT 'عمولة الادارة من توريد التاجر',
  `cost` float DEFAULT '0',
  `price_cost_virtual_currency` float NOT NULL DEFAULT '0',
  `price_one` float DEFAULT '0',
  `last_price_one` float DEFAULT '0',
  `price_half` float DEFAULT '0',
  `price_multi` float DEFAULT '0',
  `last_price_multi` float DEFAULT '0',
  `price_gomla_gomla` float DEFAULT '0',
  `merchant_supply` float DEFAULT '0',
  `renewable` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `product_url` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `product_note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT 'ملاحظة تظهر للادمن فقط',
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `key_words` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `currency_id` int NOT NULL DEFAULT '0',
  `price_in_currency` float NOT NULL DEFAULT '0',
  `add_shipping_cost` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '1',
  `show_cost_in_currency` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `show_cost` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `fixed_column` enum('price','profit','profit_rate') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'price',
  `price_one_profit` float NOT NULL DEFAULT '0',
  `price_one_profit_rate` float NOT NULL DEFAULT '0',
  `price_half_profit` float NOT NULL DEFAULT '0',
  `price_half_profit_rate` float NOT NULL DEFAULT '0',
  `price_multi_profit` float NOT NULL DEFAULT '0',
  `price_multi_profit_rate` float NOT NULL DEFAULT '0',
  `price_gomla_gomla_profit` float NOT NULL DEFAULT '0',
  `price_gomla_gomla_profit_rate` float NOT NULL DEFAULT '0',
  `edit_price_exchange` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `discount_in_currency` float NOT NULL DEFAULT '0',
  `discount_rate_in_currency` float NOT NULL DEFAULT '0',
  `last_price_half` float NOT NULL DEFAULT '0',
  `last_price_gomla_gomla` float NOT NULL DEFAULT '0',
  `last_price_one_rate` float NOT NULL DEFAULT '0',
  `last_price_half_rate` float NOT NULL DEFAULT '0',
  `last_price_multi_rate` float NOT NULL DEFAULT '0',
  `last_price_gomla_gomla_rate` float NOT NULL DEFAULT '0',
  `admin_id` int DEFAULT NULL,
  `new_store_amounts_date_added` datetime DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `product_availability_notices` (
  `id` bigint NOT NULL,
  `product_id` int DEFAULT '0',
  `client_id` int DEFAULT '0',
  `affiliator_id` int DEFAULT '0',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `notify_status` enum('send','not_send') DEFAULT 'not_send',
  `note` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `admin_id` int DEFAULT '0',
  `set_from` enum('affiliate','web','app') DEFAULT 'affiliate',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='اشعارات لتوفر الطلب';







CREATE TABLE `product_discounts` (
  `id` bigint NOT NULL,
  `product_id` int DEFAULT NULL,
  `store_open_cart_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `product_form_shapes` (
  `id` int NOT NULL,
  `product_id` int DEFAULT NULL,
  `form_shape_id` int DEFAULT NULL,
  `value` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `product_langs` (
  `id` int NOT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `promotional_description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `brief_description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `product_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `product_medias` (
  `id` bigint NOT NULL,
  `product_id` int DEFAULT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `product_services` (
  `id` int NOT NULL,
  `service_id` int DEFAULT NULL,
  `product_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `product_stores` (
  `id` int NOT NULL,
  `product_id` int DEFAULT NULL,
  `store_id` int DEFAULT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `value` int DEFAULT '0',
  `for_type` enum('none','order','order_refund','sale-invoice','receipt-return-invoice','sale-return-invoice','receipt-invoice','mortal-invoice','settlement-invoice','inventory-invoice','merchant-return-invoice','merchant-supply-invoice') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `for_id` int DEFAULT '0',
  `type` enum('remove','add') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `product_suggesstion_search_keys` (
  `id` int NOT NULL,
  `product_id` int DEFAULT NULL,
  `suggesstion` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='اقتراحات البحث';







CREATE TABLE `search_product_reports` (
  `id` bigint NOT NULL,
  `client_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `searchKey` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `searchCategoryId` int DEFAULT NULL,
  `count_results` int DEFAULT '0',
  `set_from` enum('app','web') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='عمليات البحث من التطبيق او الموقع على المنتجات';







CREATE TABLE `services` (
  `id` int NOT NULL,
  `parent` int DEFAULT '0',
  `key_word` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `sort` int DEFAULT NULL,
  `ser_image` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `expiration_date` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `service_system_commission` float DEFAULT '0',
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `service_langs` (
  `id` int NOT NULL,
  `service_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `ser_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `ser_description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `service_sliders` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `service_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `service_specifications` (
  `id` int NOT NULL,
  `service_id` int DEFAULT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `settings` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `value` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `autoload` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;





INSERT INTO `settings` (`id`, `name`, `value`, `autoload`) VALUES
(1, 'site_name', '', '1'),
(2, 'site_url', '', '1'),
(3, 'site_desc', '', '1'),
(4, 'site_keywords', '', '1'),
(5, 'site_email', 'info@affiliate.com', '1'),
(6, 'thumbnail_size_w', '150', '1'),
(7, 'thumbnail_size_h', '150', '1'),
(8, 'medium_size_w', '300', '1'),
(9, 'medium_size_h', '300', '1'),
(10, 'large_size_w', '1024', '1'),
(11, 'large_size_h', '1024', '1'),
(12, 'date_type', 'gregorian', '1'),
(13, 'format_date', 'd n ,Y g:i a', '1'),
(18, 'start_time', '9', '1'),
(19, 'mobile_site', '000000000000', '1'),
(20, 'whatUp_site', '000000000', '1'),
(21, 'show_products_quantity_to_affilators', '0', '1'),
(22, 'price_gomla_gomla_logo', '', '1'),
(23, 'price_half_logo', '', '1'),
(24, 'price_logo', '', '1'),
(25, 'price_multi_logo', '', '1'),
(26, 'price_one_logo', '', '1'),
(27, 'system_order_commission', '0', '1'),
(29, 'limit_show_data_from', '2020-01-01', '1'),
(30, 'maintenance_mode_for_all_affiliatores', '', '1'),
(31, 'maintenance_mode_message_for_all_affiliatores', 'اغلاق المتجر بشكل مؤقت', '1'),
(32, 'shipping_weight', '1', '1'),
(33, 'shipping_amount', '15', '1'),
(34, 'shipping_currency', '2', '1');







CREATE TABLE `share_product_reports` (
  `id` int NOT NULL,
  `affiliator_id` int NOT NULL,
  `client_id` int NOT NULL,
  `product_id` int NOT NULL,
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'affiliate',
  `app_version` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `shipments` (
  `id` int NOT NULL,
  `traveler_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `traveler_avatar` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `shipment_status` enum('sending','underExecution','received') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'sending',
  `all_weight` decimal(15,2) DEFAULT NULL,
  `commission` decimal(15,2) DEFAULT NULL,
  `travel_to` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `travel_date` datetime DEFAULT NULL,
  `mobile` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `whats_up` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `ticket_image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `receipt_notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='الشحنات التي تم ارسالها والشحنات قيد التوصيل من تطبيق ترافيل';







CREATE TABLE `shipments_edit_logs` (
  `id` int NOT NULL,
  `shipment_id` int DEFAULT NULL,
  `receipt_notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `commission` decimal(15,2) DEFAULT NULL,
  `date_added` datetime DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `shipment_status` enum('sending','underExecution','received') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `shipment_products` (
  `id` int NOT NULL,
  `shipment_id` int DEFAULT NULL,
  `quantity` int DEFAULT '0',
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `product_barcode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `sku` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `manf_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price` decimal(15,2) DEFAULT NULL,
  `weight` decimal(15,2) DEFAULT NULL,
  `price_without_tax` decimal(15,2) DEFAULT NULL,
  `price_with_tax` decimal(15,2) DEFAULT NULL,
  `saudi_price` decimal(15,2) DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `shipment_products_edit_logs` (
  `id` int NOT NULL,
  `shipments_edit_logs_id` int DEFAULT NULL,
  `quantity` int DEFAULT '0',
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `product_barcode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `sku` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `manf_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price` decimal(15,2) DEFAULT NULL,
  `weight` decimal(15,2) DEFAULT NULL,
  `price_without_tax` decimal(15,2) DEFAULT NULL,
  `price_with_tax` decimal(15,2) DEFAULT NULL,
  `saudi_price` decimal(15,2) DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `shipping_methods` (
  `id` int NOT NULL,
  `company_code` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') NOT NULL DEFAULT '1',
  `shipping_policy` enum('0','1') NOT NULL DEFAULT '0',
  `default_shipping_method` enum('0','1') NOT NULL DEFAULT '0',
  `image` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int NOT NULL DEFAULT '0',
  `admin_id` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `shipping_methods_governorate` (
  `id` int NOT NULL,
  `p_id` int NOT NULL DEFAULT '0',
  `governorate_id` int NOT NULL DEFAULT '0',
  `customer_price` float NOT NULL DEFAULT '0',
  `store_price` float NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `shipping_methods_governorate_langs` (
  `id` int NOT NULL,
  `p_id` int NOT NULL DEFAULT '0',
  `shipping_methods_gov_id` int NOT NULL DEFAULT '0',
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `shipping_methods_langs` (
  `id` int NOT NULL,
  `p_id` int NOT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `stores` (
  `id` int NOT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;





INSERT INTO `stores` (`id`, `active`, `code`, `sort`, `image`, `admin_id`, `date_added`) VALUES
(1, '1', 'M1', 1, NULL, NULL, '2020-07-27 13:20:58'),
(2, '1', 'M2', 0, NULL, NULL, '2021-05-08 21:45:20'),
(3, '1', 'TTT', 0, NULL, NULL, '2022-06-28 11:10:56');







CREATE TABLE `store_langs` (
  `id` int NOT NULL,
  `store_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;





INSERT INTO `store_langs` (`id`, `store_id`, `lang_code`, `title`) VALUES
(1, 1, 'ar', 'المخزن الافتراضي'),
(3, 2, 'ar', 'مخزن الهالك'),
(4, 3, 'ar', 'مخزن للتجربة');







CREATE TABLE `store_open_carts` (
  `id` int NOT NULL,
  `url` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `customer_price_id` int DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `store_open_cart_langs` (
  `id` int NOT NULL,
  `store_open_cart_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `support_and_blog_category` (
  `id` int NOT NULL,
  `affiliators_ids` text,
  `parent` int NOT NULL DEFAULT '0',
  `sort` int NOT NULL DEFAULT '0',
  `img` varchar(50) DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `admin_id` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `support_and_blog_category_langs` (
  `id` int NOT NULL,
  `cat_id` int NOT NULL DEFAULT '0',
  `name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `lang_code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `support_and_blog_pages` (
  `id` int NOT NULL,
  `parent` int NOT NULL DEFAULT '0',
  `affiliator_id` int NOT NULL DEFAULT '0',
  `cat_id` int NOT NULL DEFAULT '0',
  `mode` enum('page','drop_down') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'page',
  `sort` int NOT NULL DEFAULT '0',
  `img` varchar(50) DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `admin_id` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `support_and_blog_pages_langs` (
  `id` int NOT NULL,
  `page_id` int NOT NULL DEFAULT '0',
  `title` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `lang_code` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `trademarks` (
  `id` int NOT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `alternate_words_array` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `trademark_langs` (
  `id` int NOT NULL,
  `trademark_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `treasures` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;





INSERT INTO `treasures` (`id`, `name`, `admin_id`, `date_added`) VALUES
(1, 'الخزينة الافتراضية', 41, '2020-08-27 17:03:02'),
(2, 'فودافون كاش', 41, '2021-04-30 16:27:28'),
(3, 'البريد', 41, '2021-05-08 12:38:56');







CREATE TABLE `treasures_balances` (
  `id` int NOT NULL,
  `treasure_id` int DEFAULT NULL,
  `balance` float DEFAULT NULL,
  `note` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `type` enum('add','remove') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `for_id` int DEFAULT '0',
  `for_type` enum('none','order','order_refund','sale-invoice','receipt-invoice','receipt-return-invoice','sale-return-invoice','get-voucher','cashing-voucher','balance_withdrawal_request') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'none',
  `date_treasures` datetime DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `units` (
  `id` int NOT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `sort` int DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `unit_langs` (
  `id` int NOT NULL,
  `unit_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `users` (
  `id` int NOT NULL,
  `user_level` int DEFAULT NULL,
  `user_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `email` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `country_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `mobile` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `brief` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `client_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'for client',
  `price_type` enum('price_one','price_multi','price','price_half','price_gomla_gomla') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'انواع الاسعار خاصة بالعميل ولو كان مسوق هي نوع السعر الذي سيظهر لعملاء المسوق  ',
  `client_store_id` int DEFAULT '-1' COMMENT 'لو كانت اكبر من -١ يعني انه من المتجر الاوبن كارت',
  `address` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'for client',
  `set_from` enum('affiliate','openCart','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate',
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `authentication_code` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `admin_id` int DEFAULT NULL,
  `admin_cart_id` int DEFAULT '0' COMMENT 'رقم المتجر الخاص بالادمن  for admin',
  `affiliator_id` int DEFAULT '0' COMMENT 'for client العميل تابع لهذا المسوق',
  `group_id` int DEFAULT NULL,
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `drop_shipping` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `drop_shipping_commission` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;





INSERT INTO `users` (`id`, `user_level`, `user_name`, `email`, `country_code`, `mobile`, `avatar`, `password`, `brief`, `client_code`, `price_type`, `client_store_id`, `address`, `set_from`, `active`, `authentication_code`, `admin_id`, `admin_cart_id`, `affiliator_id`, `group_id`, `is_deleted`, `drop_shipping`, `drop_shipping_commission`, `date_added`) VALUES
(1, 1, 'admin', 'admin@admin.com', '', '02010000000', '', '$2y$10$7IWphBJciXsq.h54W4fSqO.raMSzlxtf.hd1ig/xqe4aSQojMHxAS', NULL, NULL, 'price_one', -1, NULL, 'affiliate', '1', '$2y$10$2dEpl5tI/dPfS7WsEVlCxeHwGsl3yZYfsTHjlvu/4qkv3/twFANfG', 1, 0, 0, 0, '0', '0', 0, '2020-07-29 12:58:11'),
(2, 1000, 'GOGET', 'ayman.fayez480@gmail.com', NULL, '5822551700', NULL, '$2y$10$HIP6x/43KsEUflOQ6.MnbObfGVH.Ev5OyHKUFRl8f3.HKZXW3BZBi', NULL, NULL, 'price_multi', -1, NULL, 'affiliate', '1', '$2y$10$SgY2cwe70xDA1w8Vn.yCYOZHKV8lpTEl.ZJZnw6FfpDiZX/.cx6ma', 1, 0, 0, 0, '0', '0', 0, '2021-12-28 15:32:29');







CREATE TABLE `user_balances` (
  `id` int NOT NULL,
  `value` float DEFAULT NULL,
  `transaction` enum('start_client_dept','start_client_pay','order_commission_pay','order_merchant_supply_pay','balance_withdrawal_request_dept','balance_withdrawal_request_pending','order_commission_pending','order_merchant_supply_pending','order_commission_refund_dept','order_merchant_refund_dept','sale_invoice_dept','receipt_invoice_pay','sale_return_invoice_pay','receipt_return_invoice_dept','get_voucher_pay','cashing_voucher_dept','sale_invoice_pay','sale_return_invoice_dept','receipt_invoice_dept','receipt_return_invoice_pay') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'يجب ان تتضمن ديبت او بيندينج او باي',
  `transaction_type` enum('pay','dept','pending') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `for_id` int DEFAULT NULL,
  `treasure_id` int DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `user_levels` (
  `id` int NOT NULL,
  `admin_id` int DEFAULT NULL COMMENT 'Added By',
  `level_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL,
  `settings_view` tinyint(1) DEFAULT NULL,
  `main_view` tinyint(1) DEFAULT NULL,
  `pages_add` tinyint(1) DEFAULT NULL,
  `pages_edit` tinyint(1) DEFAULT NULL,
  `pages_delete` tinyint(1) DEFAULT NULL,
  `pages_view` tinyint(1) DEFAULT NULL,
  `levels_add` tinyint(1) DEFAULT NULL,
  `levels_edit` tinyint(1) DEFAULT NULL,
  `levels_delete` tinyint(1) DEFAULT NULL,
  `levels_view` tinyint(1) DEFAULT NULL,
  `affiliators_add` tinyint(1) DEFAULT NULL,
  `affiliators_edit` tinyint(1) DEFAULT NULL,
  `affiliators_delete` tinyint(1) DEFAULT NULL,
  `affiliators_view` tinyint(1) DEFAULT NULL,
  `affiliators_details_view` tinyint(1) DEFAULT NULL,
  `admins_add` tinyint(1) DEFAULT NULL,
  `admins_edit` tinyint(1) DEFAULT NULL,
  `admins_delete` tinyint(1) DEFAULT NULL,
  `admins_view` tinyint(1) DEFAULT NULL,
  `my_profile_view` tinyint(1) DEFAULT NULL,
  `places_add` tinyint(1) DEFAULT NULL,
  `places_edit` tinyint(1) DEFAULT NULL,
  `places_delete` tinyint(1) DEFAULT NULL,
  `places_view` tinyint(1) DEFAULT NULL,
  `products_add` tinyint(1) DEFAULT NULL,
  `products_edit` tinyint(1) DEFAULT NULL,
  `orders_add` tinyint(1) DEFAULT NULL,
  `orders_edit` tinyint(1) DEFAULT NULL,
  `orders_view` tinyint(1) DEFAULT NULL,
  `orders_delete` tinyint(1) DEFAULT NULL,
  `orders_details_view` tinyint(1) DEFAULT NULL,
  `products_view` tinyint(1) DEFAULT NULL,
  `products_delete` tinyint(1) DEFAULT NULL,
  `services_add` tinyint(1) DEFAULT NULL,
  `services_edit` tinyint(1) DEFAULT NULL,
  `services_delete` tinyint(1) DEFAULT NULL,
  `services_view` tinyint(1) DEFAULT NULL,
  `trademarks_add` tinyint(1) DEFAULT NULL,
  `trademarks_edit` tinyint(1) DEFAULT NULL,
  `trademarks_view` tinyint(1) DEFAULT NULL,
  `trademarks_delete` tinyint(1) DEFAULT NULL,
  `tickets_add` tinyint(1) DEFAULT NULL,
  `tickets_edit` tinyint(1) DEFAULT NULL,
  `tickets_delete` tinyint(1) DEFAULT NULL,
  `tickets_view` tinyint(1) DEFAULT NULL,
  `tickets_details_view` tinyint(1) DEFAULT NULL,
  `merchants_add` tinyint(1) DEFAULT NULL,
  `merchants_edit` tinyint(1) DEFAULT NULL,
  `merchants_delete` tinyint(1) DEFAULT NULL,
  `merchants_view` tinyint(1) DEFAULT NULL,
  `stores_add` tinyint(1) DEFAULT NULL,
  `stores_delete` tinyint(1) DEFAULT NULL,
  `stores_edit` tinyint(1) DEFAULT NULL,
  `stores_view` tinyint(1) DEFAULT NULL,
  `units_add` tinyint(1) DEFAULT NULL,
  `units_view` tinyint(1) DEFAULT NULL,
  `units_edit` tinyint(1) DEFAULT NULL,
  `units_delete` tinyint(1) DEFAULT NULL,
  `product_stores_delete` tinyint(1) DEFAULT NULL,
  `product_stores_add` tinyint(1) DEFAULT NULL,
  `product_stores_edit` tinyint(1) DEFAULT NULL,
  `product_stores_view` tinyint(1) DEFAULT NULL,
  `treasures_view` tinyint(1) DEFAULT NULL,
  `treasures_delete` tinyint(1) DEFAULT NULL,
  `treasures_add` tinyint(1) DEFAULT NULL,
  `treasures_edit` tinyint(1) DEFAULT NULL,
  `treasures_details_view` tinyint(1) DEFAULT NULL,
  `receipt_invoices_add` tinyint(1) DEFAULT '0',
  `receipt_invoices_edit` tinyint(1) DEFAULT '0',
  `receipt_invoices_delete` tinyint(1) DEFAULT '0',
  `receipt_invoices_view` tinyint(1) DEFAULT '0',
  `sale_invoices_add` tinyint(1) DEFAULT '0',
  `sale_invoices_edit` tinyint(1) DEFAULT '0',
  `sale_invoices_delete` tinyint(1) DEFAULT '0',
  `sale_invoices_view` tinyint(1) DEFAULT '0',
  `pullBalanceRequests_add` tinyint(1) DEFAULT NULL,
  `pullBalanceRequests_delete` tinyint(1) DEFAULT NULL,
  `pullBalanceRequests_view` tinyint(1) DEFAULT NULL,
  `balances_view` tinyint(1) DEFAULT NULL,
  `clients_add` tinyint(1) DEFAULT NULL,
  `clients_edit` tinyint(1) DEFAULT NULL,
  `clients_view` tinyint(1) DEFAULT NULL,
  `clients_delete` tinyint(1) DEFAULT NULL,
  `clients_details_view` tinyint(1) DEFAULT NULL,
  `earnings_view` tinyint DEFAULT NULL,
  `shipments_view` tinyint(1) DEFAULT NULL,
  `shipments_edit` tinyint(1) DEFAULT NULL,
  `voucher_clauses_add` tinyint(1) DEFAULT '0',
  `voucher_clauses_view` tinyint(1) DEFAULT '0',
  `voucher_clauses_edit` tinyint(1) DEFAULT '0',
  `voucher_clauses_delete` tinyint(1) DEFAULT '0',
  `get_vouchers_add` tinyint(1) DEFAULT '0',
  `get_vouchers_edit` tinyint(1) DEFAULT '0',
  `get_vouchers_delete` tinyint(1) DEFAULT '0',
  `get_vouchers_view` tinyint(1) DEFAULT '0',
  `cashing_vouchers_add` tinyint(1) DEFAULT '0',
  `cashing_vouchers_edit` tinyint(1) DEFAULT '0',
  `cashing_vouchers_delete` tinyint(1) DEFAULT '0',
  `cashing_vouchers_view` tinyint(1) DEFAULT '0',
  `inventory_invoices_add` tinyint(1) DEFAULT '0',
  `inventory_invoices_edit` tinyint(1) DEFAULT '0',
  `inventory_invoices_delete` tinyint(1) DEFAULT '0',
  `inventory_invoices_view` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_add` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_edit` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_delete` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_view` tinyint(1) DEFAULT '0',
  `settlement_invoices_add` tinyint(1) DEFAULT '0',
  `settlement_invoices_edit` tinyint(1) DEFAULT '0',
  `settlement_invoices_delete` tinyint(1) DEFAULT '0',
  `settlement_invoices_view` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_add` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_edit` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_delete` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_view` tinyint(1) DEFAULT '0',
  `mortal_invoices_add` tinyint(1) DEFAULT '0',
  `mortal_invoices_edit` tinyint(1) DEFAULT '0',
  `mortal_invoices_delete` tinyint(1) DEFAULT '0',
  `mortal_invoices_view` tinyint(1) DEFAULT '0',
  `export_db` tinyint(1) DEFAULT NULL,
  `import_db` tinyint(1) DEFAULT NULL,
  `just_my_invoices_view` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_view` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_delete` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_edit` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_add` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_view` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_delete` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_edit` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_add` tinyint(1) DEFAULT NULL,
  `admin_notifications_add` tinyint(1) DEFAULT NULL,
  `admin_notifications_edit` tinyint(1) DEFAULT NULL,
  `admin_notifications_delete` tinyint(1) DEFAULT NULL,
  `admin_notifications_view` tinyint(1) DEFAULT NULL,
  `subscribes_add` tinyint(1) DEFAULT NULL,
  `subscribes_edit` tinyint(1) DEFAULT NULL,
  `subscribes_delete` tinyint(1) DEFAULT NULL,
  `subscribes_view` tinyint(1) DEFAULT NULL,
  `banners_add` tinyint(1) DEFAULT NULL,
  `banners_delete` tinyint(1) DEFAULT NULL,
  `banners_edit` tinyint(1) DEFAULT NULL,
  `banners_view` tinyint(1) DEFAULT NULL,
  `report_visitors_view` tinyint(1) DEFAULT NULL,
  `report_visitors_delete` tinyint(1) DEFAULT NULL,
  `report_searchings_delete` int DEFAULT NULL,
  `report_searchings_view` int DEFAULT NULL,
  `offers_add` tinyint(1) DEFAULT NULL,
  `offers_edit` tinyint(1) DEFAULT NULL,
  `offers_delete` tinyint(1) DEFAULT NULL,
  `offers_view` tinyint(1) DEFAULT NULL,
  `attachments_view` tinyint(1) DEFAULT NULL,
  `attachments_edit` tinyint(1) DEFAULT NULL,
  `attachments_delete` tinyint(1) DEFAULT NULL,
  `attachments_add` tinyint(1) DEFAULT NULL,
  `invoices_change_to_pending` tinyint(1) DEFAULT '0',
  `invoices_change_to_booked_up` tinyint(1) NOT NULL DEFAULT '0',
  `invoices_change_to_waiting_confirm` tinyint(1) DEFAULT '0',
  `invoices_change_to_confirmed` tinyint(1) DEFAULT '0',
  `invoices_change_to_client_not_responce` tinyint(1) DEFAULT '0',
  `invoices_change_to_under_prepare` tinyint(1) DEFAULT '0',
  `invoices_change_to_ready_to_delivered` tinyint(1) DEFAULT '0',
  `invoices_change_to_in_delivered` tinyint(1) DEFAULT '0',
  `invoices_change_to_delivered` tinyint(1) DEFAULT '0',
  `invoices_change_to_refunded` tinyint(1) DEFAULT '0',
  `invoices_change_to_canceled` tinyint(1) DEFAULT '0',
  `invoices_change_to_paid` tinyint(1) DEFAULT '0',
  `form_shapes_edit` tinyint(1) DEFAULT NULL,
  `form_shapes_add` tinyint(1) DEFAULT NULL,
  `form_shapes_delete` tinyint(1) DEFAULT NULL,
  `form_shapes_view` tinyint(1) DEFAULT NULL,
  `clients_groups_add` tinyint DEFAULT NULL,
  `clients_groups_edit` tinyint DEFAULT NULL,
  `clients_groups_view` tinyint DEFAULT NULL,
  `clients_groups_delete` tinyint DEFAULT NULL,
  `baskets_view` tinyint(1) DEFAULT NULL,
  `baskets_details_view` tinyint(1) DEFAULT NULL,
  `coupons_add` tinyint(1) DEFAULT '0',
  `coupons_edit` tinyint(1) DEFAULT '0',
  `coupons_delete` tinyint(1) DEFAULT '0',
  `coupons_view` tinyint(1) DEFAULT '0',
  `browse_product_history_view` tinyint(1) DEFAULT '0',
  `support_and_blog_category_add` tinyint(1) DEFAULT '0',
  `support_and_blog_category_edit` tinyint(1) DEFAULT '0',
  `support_and_blog_category_delete` tinyint(1) DEFAULT '0',
  `support_and_blog_category_view` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_add` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_edit` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_delete` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_view` tinyint(1) DEFAULT '0',
  `shipping_methods_add` tinyint(1) NOT NULL DEFAULT '0',
  `shipping_methods_edit` tinyint(1) NOT NULL DEFAULT '0',
  `shipping_methods_delete` tinyint(1) NOT NULL DEFAULT '0',
  `shipping_methods_view` tinyint(1) NOT NULL DEFAULT '0',
  `report_visitors_admin_view` tinyint NOT NULL DEFAULT '0',
  `report_visitors_admin_delete` tinyint NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;





INSERT INTO `user_levels` (`id`, `admin_id`, `level_name`, `date_added`, `settings_view`, `main_view`, `pages_add`, `pages_edit`, `pages_delete`, `pages_view`, `levels_add`, `levels_edit`, `levels_delete`, `levels_view`, `affiliators_add`, `affiliators_edit`, `affiliators_delete`, `affiliators_view`, `affiliators_details_view`, `admins_add`, `admins_edit`, `admins_delete`, `admins_view`, `my_profile_view`, `places_add`, `places_edit`, `places_delete`, `places_view`, `products_add`, `products_edit`, `orders_add`, `orders_edit`, `orders_view`, `orders_delete`, `orders_details_view`, `products_view`, `products_delete`, `services_add`, `services_edit`, `services_delete`, `services_view`, `trademarks_add`, `trademarks_edit`, `trademarks_view`, `trademarks_delete`, `tickets_add`, `tickets_edit`, `tickets_delete`, `tickets_view`, `tickets_details_view`, `merchants_add`, `merchants_edit`, `merchants_delete`, `merchants_view`, `stores_add`, `stores_delete`, `stores_edit`, `stores_view`, `units_add`, `units_view`, `units_edit`, `units_delete`, `product_stores_delete`, `product_stores_add`, `product_stores_edit`, `product_stores_view`, `treasures_view`, `treasures_delete`, `treasures_add`, `treasures_edit`, `treasures_details_view`, `receipt_invoices_add`, `receipt_invoices_edit`, `receipt_invoices_delete`, `receipt_invoices_view`, `sale_invoices_add`, `sale_invoices_edit`, `sale_invoices_delete`, `sale_invoices_view`, `pullBalanceRequests_add`, `pullBalanceRequests_delete`, `pullBalanceRequests_view`, `balances_view`, `clients_add`, `clients_edit`, `clients_view`, `clients_delete`, `clients_details_view`, `earnings_view`, `shipments_view`, `shipments_edit`, `voucher_clauses_add`, `voucher_clauses_view`, `voucher_clauses_edit`, `voucher_clauses_delete`, `get_vouchers_add`, `get_vouchers_edit`, `get_vouchers_delete`, `get_vouchers_view`, `cashing_vouchers_add`, `cashing_vouchers_edit`, `cashing_vouchers_delete`, `cashing_vouchers_view`, `inventory_invoices_add`, `inventory_invoices_edit`, `inventory_invoices_delete`, `inventory_invoices_view`, `merchant_supply_invoices_add`, `merchant_supply_invoices_edit`, `merchant_supply_invoices_delete`, `merchant_supply_invoices_view`, `settlement_invoices_add`, `settlement_invoices_edit`, `settlement_invoices_delete`, `settlement_invoices_view`, `merchant_return_invoices_add`, `merchant_return_invoices_edit`, `merchant_return_invoices_delete`, `merchant_return_invoices_view`, `mortal_invoices_add`, `mortal_invoices_edit`, `mortal_invoices_delete`, `mortal_invoices_view`, `export_db`, `import_db`, `just_my_invoices_view`, `receipt_return_invoices_view`, `receipt_return_invoices_delete`, `receipt_return_invoices_edit`, `receipt_return_invoices_add`, `sale_return_invoices_view`, `sale_return_invoices_delete`, `sale_return_invoices_edit`, `sale_return_invoices_add`, `admin_notifications_add`, `admin_notifications_edit`, `admin_notifications_delete`, `admin_notifications_view`, `subscribes_add`, `subscribes_edit`, `subscribes_delete`, `subscribes_view`, `banners_add`, `banners_delete`, `banners_edit`, `banners_view`, `report_visitors_view`, `report_visitors_delete`, `report_searchings_delete`, `report_searchings_view`, `offers_add`, `offers_edit`, `offers_delete`, `offers_view`, `attachments_view`, `attachments_edit`, `attachments_delete`, `attachments_add`, `invoices_change_to_pending`, `invoices_change_to_booked_up`, `invoices_change_to_waiting_confirm`, `invoices_change_to_confirmed`, `invoices_change_to_client_not_responce`, `invoices_change_to_under_prepare`, `invoices_change_to_ready_to_delivered`, `invoices_change_to_in_delivered`, `invoices_change_to_delivered`, `invoices_change_to_refunded`, `invoices_change_to_canceled`, `invoices_change_to_paid`, `form_shapes_edit`, `form_shapes_add`, `form_shapes_delete`, `form_shapes_view`, `clients_groups_add`, `clients_groups_edit`, `clients_groups_view`, `clients_groups_delete`, `baskets_view`, `baskets_details_view`, `coupons_add`, `coupons_edit`, `coupons_delete`, `coupons_view`, `browse_product_history_view`, `support_and_blog_category_add`, `support_and_blog_category_edit`, `support_and_blog_category_delete`, `support_and_blog_category_view`, `support_and_blog_pages_add`, `support_and_blog_pages_edit`, `support_and_blog_pages_delete`, `support_and_blog_pages_view`, `shipping_methods_add`, `shipping_methods_edit`, `shipping_methods_delete`, `shipping_methods_view`, `report_visitors_admin_view`, `report_visitors_admin_delete`) VALUES
(1, 1, 'مدير موقع ', '2020-07-26 15:18:42', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1),
(1000, 1, 'مسوق', '2020-07-26 15:18:42', 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(3000, 1, 'عميل', '2020-07-26 15:18:42', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);







CREATE TABLE `visits_reports` (
  `id` int NOT NULL,
  `client_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `country` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `request_ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `set_from` enum('app','web') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `count_results` int DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='احصائيات الزيارات لعملاء المسوقين';







CREATE TABLE `vouchers` (
  `id` int NOT NULL,
  `count_voucher_type` int DEFAULT '1',
  `account_type` enum('none','clients','affiliators','merchants') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'none',
  `user_id` int DEFAULT NULL,
  `price` float DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `voucher_way` enum('cash','bank','mobile') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `voucher_account_number` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `voucher_type` enum('cashing-voucher','get-voucher') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `voucher_clause_id` int DEFAULT '0',
  `treasure_id` int DEFAULT NULL,
  `for_id` int DEFAULT '0',
  `for_type` enum('sale-invoice','receipt-invoice','receipt-return-invoice','sale-return-invoice') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='سندات القبض والشراء';







CREATE TABLE `voucher_clauses` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` enum('cashing-voucher','get-voucher') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'cashing-voucher',
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='بنود ايرادات السندات';





INSERT INTO `voucher_clauses` (`id`, `name`, `type`, `admin_id`, `date_added`) VALUES
(1, 'مكافأة مسافر ', 'cashing-voucher', 41, '2021-06-20 15:21:02'),
(2, 'فاتورة مبيعات', 'cashing-voucher', 41, '2021-04-23 01:57:03'),
(3, 'فاتورة شراء', 'cashing-voucher', 41, '2021-04-23 01:57:15'),
(4, 'فاتورة مرتجع بيع', 'cashing-voucher', 41, '2021-04-23 01:57:27'),
(5, 'فاتورة مرتجع شراء', 'cashing-voucher', 41, '2021-04-23 01:57:39'),
(7, 'مستلزمات تغليف', 'cashing-voucher', 41, '2021-05-24 20:36:20'),
(21, 'مصاريف شحن', 'cashing-voucher', 41, '2022-02-01 21:05:17'),
(22, 'سلفه لاسلام', 'cashing-voucher', 41, '2022-02-06 15:16:20'),
(23, 'رد سلفه اسلام', 'get-voucher', 41, '2022-02-06 15:16:35');








ALTER TABLE `orders`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `order_products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-order_id-orders_prod` (`order_id`);




ALTER TABLE `order_tickets`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-order_id-orders2` (`order_id`);




ALTER TABLE `order_ticket_comments`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-order-tecket_id-teckets` (`order_ticket_id`);




ALTER TABLE `other_invoices`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `other_invoice_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-invoce_id-items1` (`invoice_id`);




ALTER TABLE `pages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-pages` (`admin_id`);




ALTER TABLE `page_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `page_id` (`page_id`);




ALTER TABLE `pay_methods`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `places`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `place_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-places-place_langs` (`place_id`);




ALTER TABLE `products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `trademark_id` (`trademark_id`),
  ADD KEY `attachment_id` (`attachment_id`),
  ADD KEY `count_trademark_product` (`count_trademark_product`),
  ADD KEY `product_code` (`product_code`),
  ADD KEY `product_barcode` (`product_barcode`),
  ADD KEY `product_weight` (`product_weight`),
  ADD KEY `merchant_id` (`merchant_id`),
  ADD KEY `unit_id` (`unit_id`),
  ADD KEY `price` (`price`),
  ADD KEY `commission` (`commission`),
  ADD KEY `system_commission` (`system_commission`),
  ADD KEY `cost` (`cost`),
  ADD KEY `price_one` (`price_one`),
  ADD KEY `last_price_one` (`last_price_one`),
  ADD KEY `price_half` (`price_half`),
  ADD KEY `price_multi` (`price_multi`),
  ADD KEY `last_price_multi` (`last_price_multi`),
  ADD KEY `price_gomla_gomla` (`price_gomla_gomla`),
  ADD KEY `merchant_supply` (`merchant_supply`),
  ADD KEY `renewable` (`renewable`),
  ADD KEY `product_url` (`product_url`(250)),
  ADD KEY `product_note` (`product_note`(250)),
  ADD KEY `active` (`active`),
  ADD KEY `key_words` (`key_words`(250)),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);




ALTER TABLE `product_availability_notices`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk4-product_id-products` (`product_id`),
  ADD KEY `fk-client_id-users` (`client_id`),
  ADD KEY `fk-affililator_id-users` (`affiliator_id`);




ALTER TABLE `product_discounts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-product_id-products3` (`product_id`),
  ADD KEY `fk-storecart_id-store-carts` (`store_open_cart_id`);




ALTER TABLE `product_form_shapes`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `ucCodes` (`product_id`,`form_shape_id`,`value`),
  ADD KEY `fk-poss_id-products` (`product_id`);




ALTER TABLE `product_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-products_langs-product` (`product_id`);




ALTER TABLE `product_medias`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-products_medias-product` (`product_id`);




ALTER TABLE `product_services`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk2-product_id-products` (`product_id`);




ALTER TABLE `product_stores`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-product_id-products` (`product_id`);




ALTER TABLE `product_suggesstion_search_keys`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk2-product_id2-products` (`product_id`);




ALTER TABLE `search_product_reports`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `services`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-service-users` (`admin_id`);




ALTER TABLE `service_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `service_id` (`service_id`);




ALTER TABLE `service_sliders`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-serv_id-servicesw` (`service_id`);




ALTER TABLE `service_specifications`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-service_id-sers` (`service_id`);




ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `share_product_reports`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `shipments`
  ADD UNIQUE KEY `id` (`id`);




ALTER TABLE `shipments_edit_logs`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `shipment_products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-ship_id-ships` (`shipment_id`);




ALTER TABLE `shipment_products_edit_logs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-shiment_logs-shi_pro_logs` (`shipments_edit_logs_id`);




ALTER TABLE `shipping_methods`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `shipping_methods_governorate`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `shipping_methods_governorate_langs`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `shipping_methods_langs`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `stores`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-stores` (`admin_id`);




ALTER TABLE `store_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `store_id` (`store_id`);




ALTER TABLE `store_open_carts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-store_open_carts` (`admin_id`);




ALTER TABLE `store_open_cart_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `store_open_cart_id` (`store_open_cart_id`);




ALTER TABLE `support_and_blog_category`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `support_and_blog_category_langs`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `support_and_blog_pages`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `support_and_blog_pages_langs`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `trademarks`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `trademark_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `trademark_id` (`trademark_id`);




ALTER TABLE `treasures`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `treasures_balances`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `units`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `unit_langs`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `user_balances`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `user_levels`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `visits_reports`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `vouchers`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `voucher_clauses`
  ADD PRIMARY KEY (`id`);








ALTER TABLE `orders`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `order_products`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `order_tickets`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `order_ticket_comments`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `other_invoices`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `other_invoice_items`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `pages`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `page_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `pay_methods`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `places`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `place_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `products`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `product_availability_notices`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;




ALTER TABLE `product_discounts`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;




ALTER TABLE `product_form_shapes`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `product_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `product_medias`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;




ALTER TABLE `product_services`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `product_stores`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `product_suggesstion_search_keys`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `search_product_reports`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;




ALTER TABLE `services`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `service_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `service_sliders`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `service_specifications`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `settings`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=35;




ALTER TABLE `share_product_reports`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `shipments_edit_logs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `shipment_products`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `shipment_products_edit_logs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `shipping_methods`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `shipping_methods_governorate`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `shipping_methods_governorate_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `shipping_methods_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `stores`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;




ALTER TABLE `store_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;




ALTER TABLE `store_open_cart_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `support_and_blog_category`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `support_and_blog_category_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `support_and_blog_pages`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `support_and_blog_pages_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `trademarks`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `trademark_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `treasures`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;




ALTER TABLE `treasures_balances`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `units`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `unit_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `users`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;




ALTER TABLE `user_balances`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `user_levels`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3006;




ALTER TABLE `visits_reports`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `vouchers`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `voucher_clauses`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=24;




